# Uses of Class
org.eclipse.draw2d.geometry.PrecisionDimension

Packages that use PrecisionDimension
Package
Description
org.eclipse.draw2d.geometry
Types representing or manipulating geometric values, such as Points, Dimensions, etc.

## Uses of PrecisionDimension in org.eclipse.draw2d.geometry

Methods in org.eclipse.draw2d.geometry that return PrecisionDimension
Modifier and Type
Method
Description
`PrecisionDimension`
PrecisionDimension.`getPreciseCopy()`
Returns a precise copy of this.
`final PrecisionDimension`
Rectangle.`preciseSize()`
Returns the precise dimensions of this Rectangle.
`PrecisionDimension`
PrecisionDimension.`setPreciseHeight(double h)`
Sets the height.
`PrecisionDimension`
PrecisionDimension.`setPreciseSize(double w, double h)`
Sets the size of this PrecisionDimension to the given width and height.
`PrecisionDimension`
PrecisionDimension.`setPreciseSize(PrecisionDimension d)`
Sets the size of this Dimension to the width and height of the given one.
`PrecisionDimension`
PrecisionDimension.`setPreciseWidth(double w)`
Sets the width.
Methods in org.eclipse.draw2d.geometry with parameters of type PrecisionDimension
Modifier and Type
Method
Description
`PrecisionDimension`
PrecisionDimension.`setPreciseSize(PrecisionDimension d)`
Sets the size of this Dimension to the width and height of the given one.
`PrecisionRectangle`
PrecisionRectangle.`setPreciseSize(PrecisionDimension size)`
Set the size of this PrecisionRectangle to the given dimension's width and height.